JAR files which are multi-release are not properly loaded in izpack

Description

There is an issue if you have a multi-release JAR (java 9 and newer) and them to installer classpath using "jar" attribute, these libraries are always loaded as java < 9 classes even though there are already classes specific to newer java.

Environment

None

Status

Assignee

Zdeněk Vaník

Reporter

Zdeněk Vaník

Impact

Functional - non-breaking and safe in existing environments

Components

Affects versions

Priority

Medium
Configure